unit StatusDiversos;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormDiversos = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDiversos: TFormDiversos;

implementation

uses principal, funcoesapoio, declaracoes;

{$R *.dfm}

procedure TFormDiversos.FormShow(Sender: TObject);
Var  cupom:String;
begin
        // ECF PErcentual Livre MFD ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,4);
        FormPrincipal.Statusbar1.Panels[0].Text:='% LIVRE MFD:'; WaitProcess;
        Resposta:= ECF_PercentualLivreMFD(Cupom);
        FormPrincipal.Memo1.Lines.Add('% LIVRE MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label1.Caption:='% LIVRE MFD = '+cupom;

        // Total Livre MFD ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,10);
        FormPrincipal.Statusbar1.Panels[0].Text:='TOTAL LIVRE MFD:'; WaitProcess;
        Resposta:= ECF_TotalLivreMFD(Cupom);
        FormPrincipal.Memo1.Lines.Add('TOTAL LIVRE MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label2.Caption:='Total LIVRE MFD = '+cupom;

        // Tamanho Total MFD ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,10);
        FormPrincipal.Statusbar1.Panels[0].Text:='Tamanho Total MFD:'; WaitProcess;
        Resposta:= ECF_TamanhoTotalMFD(Cupom);
        FormPrincipal.Memo1.Lines.Add('Tamanho Total MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label3.Caption:='Tamanho Total MFD = '+cupom;

        // Reduções Restantes MFD ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,6);
        FormPrincipal.Statusbar1.Panels[0].Text:='Reduções Restantes MFD:'; WaitProcess;
        Resposta:= ECF_ReducoesRestantesMFD(Cupom);
        FormPrincipal.Memo1.Lines.Add('Reduções Restantes MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label4.Caption:='Reduções Restantes MFD = '+cupom;

        // Tempo Restante Comprovante MFD ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,10);
        FormPrincipal.Statusbar1.Panels[0].Text:='Tempo Restante Comprovante MFD:'; WaitProcess;
        Resposta:= ECF_TempoRestanteComprovanteMFD(Cupom);
        FormPrincipal.Memo1.Lines.Add('Tempo Restante Comprovante MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label5.Caption:='Tempo Restante Comprovante MFD (s) = '+cupom;

        // Data Movimento ------------------------------------------------------------------
        cupom:=#0; SetLength(cupom,6);
        FormPrincipal.Statusbar1.Panels[0].Text:='Data movimento:'; WaitProcess;
        Resposta:= ECF_DataMovimento(Cupom);
        FormPrincipal.Memo1.Lines.Add('Data movimento:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Label6.Caption:='Data movimento = '+Format('%s/%s/%s',[Copy(cupom ,1,2),Copy(cupom,3,2),Copy(cupom,3,2)]);

end;

end.
